unit Unit2;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Media,
  FMX.ScrollBox, FMX.Memo, FMX.Controls.Presentation, FMX.StdCtrls;

type
  TForm2 = class(TForm)
    btnGetData: TButton;
    mmoData: TMemo;
    procedure btnGetDataClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation
uses
  System.IOUtils,
  uMediaMeta;


{$R *.fmx}

procedure TForm2.btnGetDataClick(Sender: TObject);
var
  MediaMeta: TMediaMeta;
  idx: int32;
begin
  MediaMeta := TMediaMeta.Create( TPath.GetHomePath, 'small.mp4' );
  try
    //- Check there are video tracks.
    if MediaMeta.VideoTrackCount=0 then begin
      mmoData.Lines.Add('No video tracks found in file.');
      exit;
    end;
    //- Loop them
    for idx := 0 to pred(MediaMeta.VideoTrackCount) do begin
      mmoData.Lines.Add( 'Track '+
                          IntToStr(idx)+' = '+
                          IntToStr(MediaMeta.VideoTrackInfo[idx].xRes)+'x'+
                          IntToStr(MediaMeta.VideoTrackInfo[idx].yRes)+'@'+
                          IntToStr(MediaMeta.VideoTrackInfo[idx].FrameRate)+'fps');
    end;
  finally
    MediaMeta.DisposeOf;
  end;
end;

end.
